import React, { useContext } from 'react';
import { TreatProvider } from 'react-treat';
export const GlazeContext = React.createContext(undefined);
export function ThemeProvider({ theme, children, }) {
    return (React.createElement(TreatProvider
    // Show a clear error message during runtime, even if `theme` is nullish
    , { 
        // Show a clear error message during runtime, even if `theme` is nullish
        theme: theme === null || theme === void 0 ? void 0 : theme.ref },
        React.createElement(GlazeContext.Provider, { value: { theme, instancesByClassName: new Map() } }, children)));
}
export function useTheme() {
    return useContext(GlazeContext).theme;
}
